• This message appears when I click the Renew button, “LetsEncrypt API Error. Please try again later.”
    Any solution?

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author SSL Zen

    (@sslzen)

    Hello,

    Please make sure you are using the latest version of the plugin. I’d appreciate if you could change your rating once your issue is resolved.

    Same issue and have the most up to date version. Was actually thinking of upgrading in order for renewal to occur automatically and worry free, but not when I see this trouble happening.

    v1.10 Free currently.

    Plugin Author SSL Zen

    (@sslzen)

    @dingledoink Please write to us at support@ourpluginname.com and we will get back to you. There are thousands of websites who have successfully renewed their SSL certificate, so I can assure you that it works, I can take a look at your website and figure out why it’s not working.

Viewing 3 replies - 1 through 3 (of 3 total)
  • You must be logged in to reply to this topic.